Update Widget
Updates a Widget.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
uuid
The identifier for a specific widget.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
channel_id
description
The user-friendly description.
name
The user-friendly name.
upgrade
Upgrade the Widget to latest version of the WidgetTemplate.
widget_configuration
The JSON data that populates the template.
widget_template_uuid
The widget template UUID.
Response
The requested widget.
data
meta
Response metadata.
Errors
404
Not Found Error
422
Unprocessable Entity Error